Bug 1461330 - package pam_pkcs11 is not installed by anaconda hardening
package pam_pkcs11 is not installed by anaconda hardening
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
7.4
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Watson Yuuma Sato
Marek Haicman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 04:52 EDT by Marek Haicman
Modified: 2017-08-01 08:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: scap-security-guide-0.1.33-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 08:24:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Haicman 2017-06-14 04:52:36 EDT
Description of problem:
SCAP Security Guide can be used for installation of hardened system, selected in anaconda configuration screen. Output of this should be system prepared for use.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.33-4.el7.noarch

How reproducible:
reliable

Steps to Reproduce:
1. install machine using example ospp kickstart shipped with SSG
2. fail to log in (Login incorrect immediately after providing user name)
3. install machine using example ospp_kickstart, adding pam_pkcs11 and esc packages
4. be able to log in as admin user

Actual results:
pam_pkcs11 is not installed by anaconda

Expected results:
pam_pkcs11 is installed by anaconda and admin user can be logged in

Additional info:
Anaconda remediation for is missing for xccdf_org.ssgproject.content_rule_smartcard_auth
Comment 1 Marek Haicman 2017-06-14 05:18:32 EDT
Additional info:
Profiles affected by this issue:
- PCI-DSS v3 Control Baseline for Red Hat Enterprise Linux 7
- DISA STIG for Red Hat Enterprise Linux 7
- STIG for Red Hat Virtualization Hypervisor
- United States Government Configuration Baseline (USGCB / STIG) - DRAFT
- Unclassified Information in Non-federal Information Systems and Organizations (NIST 800-171)
Comment 2 Jan Černý 2017-06-14 11:39:18 EDT
The bug was fixed upstream in https://github.com/OpenSCAP/scap-security-guide/pull/2083
Comment 4 Marek Haicman 2017-06-15 09:45:49 EDT
Verified manually on version scap-security-guide-0.1.33-5.el7, that anaconda kickstart is successfully updated to contain aide package. I was able to log in as an admin user defined during installation.

Anaconda kickstart:
%packages
@^minimal
@core
aide
chrony
dracut-fips
esc
kexec-tools
openscap
openscap-scanner
pam_pkcs11
screen
-rsh
-rsh-server
-talk
-talk-server
-telnet
-telnet-server
-xinetd
-ypbind
-ypserv

%end

Note: Profile selected in anaconda was xccdf_org.ssgproject.content_profile_nist-800-171-cui
Comment 5 Marek Haicman 2017-06-15 09:47:44 EDT
Note a copy paste error in Comment 4, the important packages to be included were "pam_pkcs11" and "esc". Not aide.
Comment 6 errata-xmlrpc 2017-08-01 08:24:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2064

Note You need to log in before you can comment on or make changes to this bug.